> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-67bc7bf8.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 조직 사용 비용 조회

> 조회한 시간 범위(최대 31일) 동안 해당 organization의 일별 엔터티별 organization 사용 비용 레코드 목록과 총합계를 반환합니다. 요청과 응답의 모든 날짜는 UTC 시간대를 기준으로 계산됩니다.



## OpenAPI

````yaml /ko/_specs/cloud-openapi.json get /v1/organizations/{organizationId}/usageCost
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/usageCost:
    get:
      tags:
        - Billing
      summary: 조직 사용 비용 조회
      description: >-
        조회한 시간 범위(최대 31일) 동안 해당 organization의 일별 엔터티별 organization 사용 비용 레코드 목록과
        총합계를 반환합니다. 요청과 응답의 모든 날짜는 UTC 시간대를 기준으로 계산됩니다.
      parameters:
        - description: 요청한 organization의 ID입니다.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: '보고서의 시작 날짜입니다. 예: 2024-12-19.'
          in: query
          name: from_date
          required: true
          schema:
            format: date-time
            type: string
        - description: >-
            보고서의 종료 날짜(포함)입니다. 예: 2024-12-20. 이 날짜는 from_date로부터 30일을 초과할 수
            없습니다(최대 조회 기간 31일).
          in: query
          name: to_date
          required: true
          schema:
            format: date-time
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 모든 요청에 할당되는 고유 ID입니다. UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/UsageCost'
                  status:
                    description: HTTP 상태 코드입니다.
                    example: 200
                    type: number
                type: object
          description: 성공적인 응답
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 상세 오류 설명입니다.
                    type: string
                  status:
                    description: HTTP 상태 코드입니다.
                    example: 400
                    type: number
                type: object
          description: 클라이언트 오류로 간주되는 문제로 인해 서버가 요청을 처리할 수 없거나 처리하지 않습니다.
components:
  schemas:
    UsageCost:
      properties:
        costs:
          $ref: '#/components/schemas/UsageCostRecord'
        grandTotalCHC:
          description: ClickHouse Credits(CHCs)의 총 사용 비용입니다.
          type: number
    UsageCostRecord:
      properties:
        dataWarehouseId:
          description: 이 엔터티가 속한 dataWarehouse의 ID 또는 엔터티 자체가 dataWarehouse인 경우 해당 ID입니다.
          format: uuid
          type: string
        date:
          description: 사용 날짜입니다. UTC 시간대를 기준으로 하는 ISO-8601 형식의 날짜입니다.
          format: date
          type: string
        entityId:
          description: 엔터티의 고유 ID입니다.
          format: uuid
          type: string
        entityName:
          description: 엔터티의 이름입니다.
          type: string
        entityType:
          description: 엔터티의 유형입니다.
          enum:
            - datawarehouse
            - service
            - clickpipe
          type: string
        locked:
          description: true이면 이 레코드는 변경할 수 없습니다. 잠금이 설정될 때까지 잠금 해제된 레코드는 변경될 수 있습니다.
          type: boolean
        metrics:
          $ref: '#/components/schemas/UsageCostMetrics'
        serviceId:
          description: >-
            이 엔터티가 속한 service의 ID 또는 엔터티 자체가 service인 경우 해당 ID입니다. dataWarehouse
            엔터티에는 null로 설정됩니다.
          format: uuid
          nullable: true
          type: string
        totalCHC:
          description: 이 엔터티의 ClickHouse Credits(CHCs) 총 사용 비용입니다.
          type: number
    UsageCostMetrics:
      properties:
        backupCHC:
          description: ClickHouse Credits(CHCs) 기준 Backup 비용입니다. dataWarehouse 엔터티에 적용됩니다.
          type: number
        computeCHC:
          description: >-
            ClickHouse Credits(CHCs) 기준 컴퓨트 비용입니다. service 및 clickpipe 엔터티에
            적용됩니다.
          type: number
        dataTransferCHC:
          description: ClickHouse Credits(CHCs) 기준 데이터 전송 비용입니다. clickpipe 엔터티에 적용됩니다.
          type: number
        initialLoadCHC:
          description: >-
            ClickHouse Credits(CHCs) 기준 초기 적재 및 resync 비용입니다. clickpipe 엔터티에
            적용됩니다.
          type: number
        interRegionTier1DataTransferCHC:
          description: >-
            ClickHouse Credits(CHCs) 기준 tier1 리전 간 데이터 전송 비용입니다. service 엔터티에
            적용됩니다.
          type: number
        interRegionTier2DataTransferCHC:
          description: >-
            ClickHouse Credits(CHCs) 기준 tier2 리전 간 데이터 전송 비용입니다. service 엔터티에
            적용됩니다.
          type: number
        interRegionTier3DataTransferCHC:
          description: >-
            ClickHouse Credits(CHCs) 기준 tier3 리전 간 데이터 전송 비용입니다. service 엔터티에
            적용됩니다.
          type: number
        interRegionTier4DataTransferCHC:
          description: >-
            ClickHouse Credits(CHCs) 기준 tier4 리전 간 데이터 전송 비용입니다. service 엔터티에
            적용됩니다.
          type: number
        publicDataTransferCHC:
          description: ClickHouse Credits(CHCs) 기준 데이터 전송 비용입니다. service 엔터티에 적용됩니다.
          type: number
        storageCHC:
          description: ClickHouse Credits(CHCs) 기준 Storage 비용입니다. dataWarehouse 엔터티에 적용됩니다.
          type: number
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud 콘솔에서 발급받은 key ID와 key secret을 사용합니다:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````